import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.IOException;

import quadbase.ChartAPI.QbChart;
import quadbase.util.IDataLine;
import quadbase.util.IDataLineSet;
import quadbase.util.IDataPointSet;
import quadbase.util.IHorzVertLine;
import quadbase.util.ILegend;
import quadbase.util.IText;

public class LegendTitle extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			LegendTitle chart = new LegendTitle();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.addLegendTitle(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", addLegendTitle(this));
	}

	Component addLegendTitle(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"LegendTitle.pac"); // template

		ILegend hLegend = chart.gethLegend();
		hLegend.setTitle("Day");
	    
	    String filename = "LegendTitle_exported";
	    try {
			chart.export(QbChart.PNG, filename);
			chart.export(QbChart.PAC, filename);
		} catch (IOException e) {
			e.printStackTrace();
		}
	   
		// Show chart in Viewer
		return chart;

	}

}
